Test task with react for perseptionbox company

Used technologies:
- react v18
- redux
- material ui
- axios.

TT:
rickandmortyapi test
Requirements:
1. Get list of characters from https://rickandmortyapi.com/documentation
2. Show list of all characters.
3. Implement autocomplete by characters (search by name).
4. Show a list of characters (show fields: name, status). Make the list rendering
performance optimization.
5. Open the character's profile page by clicking on a row in the list or by selecting in
autocomplete. Show field:
a. name
b. species
c. gender
d. location
e. episode
f. status
g. created
6. Push all code to GitHub and send the link.
Good to have:
1. SignIn by facebook or linkedin
2. Make it possible to like/dislike any of the characters.
3. Show the list of liked characters.
4. Make it possible to add a character's photo.
You can store data in localstorage.
Optional:
Use material ui kit